Package org.eclipse.m2m.atl.engine.vm

# Class ASMStackFrame

java.lang.Object
org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
org.eclipse.m2m.atl.engine.vm.StackFrame
org.eclipse.m2m.atl.engine.vm.ASMStackFrame

public class ASMStackFrame extends StackFrame

## Field Summary

Fields
Modifier and Type
Field
Description
`static ASMOclType`
`myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.StackFrame

`debugger`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

## Constructor Summary

Constructors
Constructor
Description
`ASMStackFrame(ExecEnv execEnv, ASMOperation operation, List args)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`empty()`
`List`
`getLocalStack()`
`Map`
`getLocalVariables()`
`int`
`getLocation()`
`String`
`getSourceLocation()`
`ASMOclAny`
`getVariable(String name)`
`boolean`
`hasNextInstruction()`
`ASMOclAny`
`leaveFrame()`
`ASMInstruction`
`nextInstruction()`
`ASMOclAny`
`peek()`
`ASMOclAny`
`pop()`
`void`
`popVariable(String name)`
`void`
`push(ASMOclAny value)`
`void`
`pushVariable(String name)`
`String`
`resolveVariableName(int slot)`
`static ASMStackFrame`
`rootFrame(ASMExecEnv execEnv, ASMOperation operation, List args)`
`void`
`setLocation(int location)`
`void`
`setVariable(String name, ASMOclAny value)`
`void`
`step()`
`String`
`toString()`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.StackFrame

`enterFrame, getArgs, getExecEnv, getModel, getModels, getOperation, getOpName, getParent, getStack, printStackTrace, printStackTrace, printStackTrace, printStackTrace, setParent`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, get, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### myType

public static ASMOclType myType

## Constructor Details

### ASMStackFrame

public ASMStackFrame(ExecEnv execEnv, ASMOperation operation, List args)

## Method Details

### rootFrame

public static ASMStackFrame rootFrame(ASMExecEnv execEnv, ASMOperation operation, List args)

### leaveFrame

public ASMOclAny leaveFrame()

Overrides:
  `leaveFrame` in class `StackFrame`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### push

public void push(ASMOclAny value)

### pop

public ASMOclAny pop()

### peek

public ASMOclAny peek()

### empty

public boolean empty()

### setVariable

public void setVariable(String name, ASMOclAny value)

### getVariable

public ASMOclAny getVariable(String name)

### pushVariable

public void pushVariable(String name)

### popVariable

public void popVariable(String name)

### hasNextInstruction

public boolean hasNextInstruction()

### nextInstruction

public ASMInstruction nextInstruction()

### getLocation

public int getLocation()

### setLocation

public void setLocation(int location)

### step

public void step()

### getLocalVariables

public Map getLocalVariables()

### getLocalStack

public List getLocalStack()

### resolveVariableName

public String resolveVariableName(int slot)

### getSourceLocation

public String getSourceLocation()